Bug 865893 - Review Request: high-scale-lib - A collection of Concurrent and Highly Scalable Utilities
Review Request: high-scale-lib - A collection of Concurrent and Highly Scalab...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Timothy St. Clair
Fedora Extras Quality Assurance
:
Depends On:
Blocks: bigdata-review
  Show dependency treegraph
 
Reported: 2012-10-12 14:19 EDT by gil cattaneo
Modified: 2013-12-14 22:39 EST (History)
2 users (show)

See Also:
Fixed In Version: high-scale-lib-1.1.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-14 22:39:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tstclair: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-10-12 14:19:26 EDT
Spec URL: http://gil.fedorapeople.org/high-scale-lib.spec
SRPM URL: http://gil.fedorapeople.org/high-scale-lib-1.1.4-1.fc16.src.rpm
Description: A collection of Concurrent and Highly Scalable Utilities. These
are intended as direct replacements for the java.util.* or
java.util.concurrent.* collections but with better performance
when many CPUs are using the collection concurrently.

This package contains a Mavenized fork of http://high-scale-lib.sourceforge.net/
Fedora Account System Username: gil
Comment 2 Timothy St. Clair 2013-12-05 13:11:16 EST
I can review.
Comment 3 Timothy St. Clair 2013-12-05 16:26:45 EST
Please address the ! items listed below.  If it's not permissible for upstream to make changes, please note in comments. 

---------------------------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.

--- Notes: ----
Might want to address with upstream to adjust because http://creativecommons.org/licenses/publicdomain/ 
is considered "retired" in place for some other public domain license.

https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
---------------

[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 36 files have unknown license. Detailed output of
     licensecheck in /home/tstclair/work/spaces/hbase/high-scale-lib-rpm
     /review-high-scale-lib/licensecheck.txt

--- Notes: ----
Missing clause on the top of some sources.
---------------

[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[-]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in high-scale-
     lib-javadoc
[x]: Package functions as described.
[!]: Latest version is packaged.

--- Notes: ----
1.1.5 is available.
---------------

[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: high-scale-lib-1.1.4-1.fc21.noarch.rpm
          high-scale-lib-javadoc-1.1.4-1.fc21.noarch.rpm
          high-scale-lib-1.1.4-1.fc21.src.rpm
high-scale-lib.noarch: W: spelling-error %description -l en_US util -> til, until, u til
high-scale-lib.src: W: spelling-error %description -l en_US util -> til, until, u til

--- Notes ---
False positives.
-------------

3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint high-scale-lib-javadoc high-scale-lib
high-scale-lib.noarch: W: spelling-error %description -l en_US util -> til, until, u til
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
high-scale-lib-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

high-scale-lib (rpmlib, GLIBC filtered):
    java
    jpackage-utils



Provides
--------
high-scale-lib-javadoc:
    high-scale-lib-javadoc

high-scale-lib:
    high-scale-lib
    mvn(com.github.stephenc.high-scale-lib:high-scale-lib)
    mvn(com.github.stephenc.high-scale-lib:high-scale-lib-parent)
    mvn(com.github.stephenc.high-scale-lib:high-scale-lib-parent:pom:)
    mvn(com.github.stephenc.high-scale-lib:java_util_concurrent_chm)
    mvn(com.github.stephenc.high-scale-lib:java_util_hashtable)



Source checksums
----------------
https://github.com/stephenc/high-scale-lib/archive/high-scale-lib-parent-1.1.4.tar.gz :
  CHECKSUM(SHA256) this package     : 831f60ff462009e8ef64379530e1f71c73525536d9d7638d4a82cc29455f70a0
  CHECKSUM(SHA256) upstream package : 831f60ff462009e8ef64379530e1f71c73525536d9d7638d4a82cc29455f70a0
Comment 4 Timothy St. Clair 2013-12-05 16:41:00 EST
opened: https://github.com/stephenc/high-scale-lib/issues/4
Comment 5 gil cattaneo 2013-12-05 17:09:54 EST
(In reply to Timothy St. Clair from comment #3)
> Please address the ! items listed below.  If it's not permissible for
> upstream to make changes, please note in comments. 
> 
> ---------------------------------------------
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> 
> ===== MUST items =====
> 
> Generic:
> [!]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> 
> --- Notes: ----
> Might want to address with upstream to adjust because
> http://creativecommons.org/licenses/publicdomain/ 
> is considered "retired" in place for some other public domain license.
> 
> https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses
> ---------------
> 
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "Unknown or generated". 36 files have unknown license. Detailed output
> of
>      licensecheck in /home/tstclair/work/spaces/hbase/high-scale-lib-rpm
>      /review-high-scale-lib/licensecheck.txt
> 
> --- Notes: ----
> Missing clause on the top of some sources.
> ---------------

Thanks! when upstream solve this problem. adjust license field

> [!]: Latest version is packaged.
> 
> --- Notes: ----
> 1.1.5 is available.
> ---------------

yes, when is available in a stable branch, i don't want use 1.1.5-SNAPSHOT
Comment 6 Timothy St. Clair 2013-12-05 17:18:46 EST
Approved
Comment 7 gil cattaneo 2013-12-05 17:24:26 EST
Thanks!

Spec URL: http://gil.fedorapeople.org/high-scale-lib.spec
SRPM URL: http://gil.fedorapeople.org/high-scale-lib-1.1.4-1.fc19.src.rpm

- commented license problem

New Package SCM Request
=======================
Package Name: high-scale-lib
Short Description: A collection of Concurrent and Highly Scalable Utilities
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 8 Gwyn Ciesla 2013-12-06 08:05:46 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-12-06 09:00:45 EST
high-scale-lib-1.1.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/high-scale-lib-1.1.4-1.fc20
Comment 10 Fedora Update System 2013-12-06 14:59:09 EST
high-scale-lib-1.1.4-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 11 Fedora Update System 2013-12-14 22:39:41 EST
high-scale-lib-1.1.4-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.